New in JONAS_4_10_2
-------------------
- Components upgrade:
  + Joram 5.1.0

- Request for support WI0701S147 - EAR/WAR deployment
- Add -argclient option to jclient
- JonasAdmin: Enable to upload a file into the autoload directory
- Using CMI  patch that Handles exception thrown on cmi access while the server is stopping 
- JonasAdmin, implement 310770 feature request concerning DMQ support

- Bugs fixed:
  310768 310832 310903 310917

New in JONAS_4_10_1
-------------------
- Components upgrade:
  + Joram 5.0.9
  + monolog 2.1.11
  + carol 2.2.13

- Improve EJB monitoring

- Bugs fixed:
  310384 310317

New in JONAS_4_9_2
------------------
- Components upgrade:
  + Joram 4.3.33
  + Cmi 1.3.15

Bugs fixed:
308628 308700 308727

New in JONAS_4_9_1
------------------
- JMX security : authentication & authorization are supported now
  + For authentication, standard Java methods (access files, etc.)
    as well as standard LoginModules (JOnAS provides MemoryRealm, Database, LDAP, etc.)
    can be used
  + Authorization can be set based on user names or user roles
- Domain management enhancements:
  + Cluster daemon configuration: a user command can be specified
    for starting/stopping) the JOnAS instances
  + Domain configuration: dynamic changes from jonasAdmin console in
    the domain topology (new server definition, server modification, ...)
    can be persisted in the domain.xml file (save button)
- Clustering enhancements:
  + JMS clustering: queue load-balancing at the client side, topic cluster
    rebuild support, howto doc update
- Components upgrade:
  + Tomcat 5.5.26: security updates and bug fixes (see
    http://tomcat.apache.org/tomcat-5.5-doc/changelog.html)
  + Joram 4.3.32
  + Monolog 2.1.10
  + Cmi 1.3.14

Bugs fixed:
306372 306412 306569 307121 307239 307542 307554 307846 308209 308311
308355 308530 308534 308535


New in JONAS_4_8_6
------------------
This version includes a JonasAdmin extension for MQ Connectors support.
Bugs fixed:
306870 307200

New in JONAS_4_8_5
------------------
Bugs fixed:
306395 306458 306518 306569 306594 306606 306620 306677
306689 306707 306717 306772 306802 306803 306834 306840 306846

New in JONAS_4_8_4
------------------
Bugs fixed:
306323 306339 306358 306361 306363 306366 306371 306383 306391
306412 306423

New in JONAS_4_8_3
------------------
Bugs fixed:
306277 306287 306288 306291 306297 306304 306313 306322 306328

New in JONAS_4_8_2
------------------
Bugs fixed:
304345 304551 305882 305922 306008 306014 306032
306059 306077 306079 306081 306095 306107
306109 306110 306130 306161 306163 306164 306165
306167 306184 306189 306190 306191 306194
306211 306240 306241 306243 306244 306251 306260 306269

A regression had been introduced in this version about inactivity-timeout.
Has been fixed in 4.8.3

New in JONAS_4_8_1
------------------

- Clustering enhancements :
   + add cluster daemon for controlling remotely the JOnAS instances through JMX
   + JOnAS commands enhancements for supporting the remote deploy/start/...
   + dynamic update of the cluster view at the client side with the CMI protocol
   + distributed view of the CMI registry in the jonasAdmin console
   + EJB replication framework enhancements : support EB calls/ transaction awareness
   + cluster monitoring in the jonasAdmin console (master node)
     -> automatic discovery of the physical cluster
     -> get node information (status, statistics)
   + cluster deployment through FDF (Fractal Deployment Framework)
   + newjc
     -> 2 new instances in addition of the cluster members :
        a) cluster daemon
        b) JOnAS instance dedicated to the database tier with HSQL
        c) JOnAS instance dedicated to the management (master node)
     -> jcl script for controlling the cluster
- JORAM enhancements :
   + new JORAM version : 4.3.20 supporting the JORAM HA mode
     through the resource adapter
   + dynamic reload of the joramAdmin.xml from jonasAdmin console
   + export JORAM repository to the joramAdminExport.xml
- TMF (Thread Management Framework) : thread activity monitoring feature
- JGroups 2.2.9.3
- RAR creation from jonasAdmin console

- Bugs fixed :
304531 304903 305389 306138

New in 4.7.7
------------
This is a maintenance release.

Some bugs have been fixed :
305882 306014 306081 306082 306109 306240 306241

A Feature Request has been implemented: 306175

Resource service: Fix pooling issues and add Keep_alive functionality
with jdbc connection

Fix a bug in JServiceEndpointHome.checkSecurity()

New in 4.7.6
------------
This is a maintenance release.
Some bugs have been fixed :
304298 304314 304614 304941 305881

New in 4.7.5
------------
This is a maintenance release.
Some bugs have been fixed :
300692 305230 305299 305343 305345 305384 305386 305409
305417 305498 305502 305520

- Known limitations:
Timers on entity beans may be fired several times in a
cluster environment if the entity bean is distributed.

Speedo is no longer delevered with jonas. See the speedo site
to download it: http://forge.objectweb.org/projects/speedo
New joram version: 4.3.17

New in Jonas 4.7.4
------------------
- Bugs fixed :
300387 300882 304208 304510 304880 304940 305191 305227

- Known limitations:
Timers on entity beans may be fired several times in a
cluster environment if the entity bean is distributed.

New in JONAS_4_7_3
------------------
- Bugs fixed :
100493 303363 304347 304598 304901 304931 304970 305023
305028 305031 305033 305046 304628

New in JONAS_4_7_2
------------------
Speedo is no longer delevered with jonas. See the speedo site
to download it: http://forge.objectweb.org/projects/speedo
New joram version: 4.3.17

- Bugs fixed :
303383 303848 304232 304534 304590 304849 304858 304922

New in JONAS_4_7_1
------------------
- Bugs fixed :
301017 303656 303677 303678 303983 304254 304276 304370
304393 304416 304422 304524 304569 304577 304610 304631
304632 304636 304668 304670 304702 304715 304750 304790
304835

- New features :
Clustering: Stateful Session Bean Replication
New CMI 1.2.2 and Carol 2.2.6
New JacOrb (2.2.3 with patch)
New Axis 1.4
New Joram 4.3.12
Optimization in the DBM prepared Statement Cache
Add a "singleton" flag in DD for stateless session beans.
JonasAdmin: domain management + refactoring of discovery service.
Hard limits now possible for entity bean max-cache-size

This version is packaged with Tomcat 5.5.15 and Jetty 5.1.10
It has been compiled with Sun JDK 1.4.2_11-b06

- Restriction:
Speedo doesn't work in this version!

New in JONAS_4_6_6
------------------
- speedo_for_jonas_ra.jar replaced by a good one.
- 1 bug fixed about security in web service (304404)

New in JONAS_4_6_5
------------------
This is the same jonas as 4.6.4, except that :
- Packaged jetty version is 5.1.8
- Struts upgraded to 1.2.8
- documentation updated.

New in JONAS_4_6_4
------------------
- New Ishmael jar (0.1.10) to solve undeployment problems
- Bugs fixed: 304340 304341 304378 304379

New in JONAS_4_6_3
------------------
- New locking-policy for entity beans: container-serialized-transacted (CST)
  This policy should be used in place of CS when all modifying bean
  methods are transactional. CS is still the default policy.
- Lock Policy "CRU" is now deprecated. You should use "CRW" instead.
- Bugs fixed :
304309 304189 303819

New in JONAS_4_6_2
------------------
- Bugs fixed :
304302 304301 304286 304075 304153

- Notes:
Jeremie is now deprecated and could be removed in a future version.

- Restrictions:
Timers are now persistent, but this still doesn't work for timers
associated to entity beans.
Algorithm for attributing PK automatically cannot work in case of cluster
with a same entity bean managed in several jonas servers.

New in JONAS_4_6_1
------------------
- Bugs fixed :
303988 304143 304093 304037 304107 304022
304184 304070 304110 303393 300942 303701
303968 304124 303715 304073 304096 304044
304030 304031 304014 303937 304032 304182
304033 304052 304034 304035 304059 303852
303982 304046 304039 300355 304160 303366
300484 303668 303921 300379 100265 303765
303655

- Features implemented :
304013 304108 304028

- Classloader extension mechanism added in JONAS_BASE
- specified URL prefix for WS endpoint
- Integration of Scout as a ResourceAdapter
- Removal of JAXR-RI and dependencies (JAXB RI)
- JAXR service is now deprecated
- JOnAS scripts (.bat & .sh) updated
- Easy customization of the URL endpoints for webservices
- Wsgen is now automatically applied on all deployed modules
- Update wsclient EJB sample to show that GenIC & WsGen are
  no more needed in the build scripts
- Ws-Security integrated, web service sample updated
- JonasAdmin enhancements: allow to save deployed RARs configuration,
  allow editing deployable RARs, enhanced Joram administration.
- New locking-policy for entity beans: container-read-write.
- Make Timers persistent (to be completed)

New in JONAS_4_5_3
------------------
- Bugs fixed :
303749 - 303831 - 303876 - 303877 - 303878 - 303880

New in JONAS_4_5_2
------------------
- joram 4.3.4 to fix some little problems that arised with 4.3.3
- rollback to xerces 2.6.2
- Update jsr88_api.jar 1.1 (+ ishmael)

New in JONAS_4_5_1
------------------
New product versions:
- jacorb 2.2.2
- monolog 2.0
- jorm 2.6.4 (using ASM 1.5.3)
- medor 1.6
- speedo 1.3.1 (jdo2)
- jotm 2.0.10
- carol 2.0.7 with new CMI based on ASM 1.5.3
- joram 4.3.3
- axis 1.2.1
- HsqlDB 1.8.0.1
- Digester 1.7
- Xerces 2.7.1
- struts 1.2.7
New features:
- new JORAM MBean
- Domain Management support
- Automatic redeployment when jar modules have changed in app directories
- Enhance JSR88 support
- add JSR77 MBeans for Jetty
- CMI refactoring
- Endpoint WebServices MBeans
- stateful session bean passivation
- newjc tool (for clustering)
- Update Classpathx Mail jars
- Updated WsGen
New sample showing the Usage of Hibernate inside JOnAS.
New example : olstore
Bugs fixed:
301179 - 301222 - 303334 - 303615 - 303634 - 303652
303665 - 303669 - 303786 - 303798 - 303799 - 303750

New in JONAS_4_4_3
-------------------
Only bug fixes: 303646 - 301140 - 301164
303514 - 303670 - 303649 - 303651 - 303638  - 303639

New in JONAS_4_4_2
------------------
Bug fixes since 4.3.5 : (see the bug tracker for details)
  303517 - 303574 - 303568 - 301002 - 303361 - 301043 - 300676
  301216 - 303564 - 303274 - 300978 - 300999 - 301113 - 300412

Integration of Axis 1.2+ :
- commons-discovery 0.3
- axis 1.2+
- ews 1.0
- xmlbeans 1.0.4
- wsdl4j 1.5.1

Mx4j-tools of Mx4j (3.0.1)
Use JAF and GNU Crypto instead of Sun JAF
Reverse GNU mail to Sun RI
New Carol version : 2.0.5

New in JONAS_4_4_1
------------------
- LIMIT feature in the EJBQL query langage ("LIMIT" startAt ["," size])
(This feature is currently only implemented for the mapper for the following databases:
 hsql, postgres, mysql, oracle).
- New versions of JORM/MEDOR.

New in JONAS_4_3_5
------------------
new Carol 1.8.9.4
New JOnAS-Axis version 1.0.6 (non official)
bug fixes : 303337 303367 303368 303379 303413 303451 303452
            303457 303469 303489 303533 303378
new feature : 303435
Add files needed to build a JPackage JOnAS RPM
jclient.bat jonas.bat fixed

New in JONAS_4_3_4
------------------
New JOTM 2.0.8 (bug fix)
New JORM : JORM_2_4_3_patch_p1 (bug fix)
Some bugs have been fixed: 301181 301237 303159 303172 303315 303343 303344

New in JONAS_4_3_3
------------------
New JOTM 2.0.5 (fixes transaction propagation with Jeremie)
New JORAM 4.1.5
Update thread work pool functionality for Resource Service
Some bugs have been fixed (301033, 301224, 303238, 301158)

New in JONAS_4_3_2
------------------
New versions of axis/ews. (for webservices and jaxrpc)
New version of Jacorb (for interoperability)
CAROL_1_8_9 + JEREMIE_4_2 (KILIM_1_1_3)
New version of Xdoclet
New version of MEDOR (fix all ejb-ql problems)
Fix a memory leak in resource adapter.
Many bug fixes (See bug tracker)

Restriction: With an IBM JVM, the IIOP protocol doesn't work.

New in JONAS_4_3_1
------------------
New versions of axis/ews. (for webservices and jaxrpc)
New version of Jacorb (for interoperability)
CAROL_1_8_9 + JEREMIE_4_1
New version of Xdoclet
New version of MEDOR (fix all ejb-ql problems)
Fix a memory leak in resource adapter.
Many bug fixes (See bug tracker)

New in JONAS_4_2_1
------------------
- Axis 1.2RC2
axis-ant.jar has moved to tools ClassLoader and therefore is no more accessible from J2EE components.

JonasAdmin:
- bug fixes related to monitoring (threads count for example) and web service management
(update to Catalina version 5.0).
- enhancement of registry service management: ability to list JNDI names in the different
registries started by a multi-protocol JOnAS.

new lock policy for entity beans (read-only), experimental.
new versions of objectweb modules (medor, jorm, speedo, joram)
bug fixes (see bug tracker)

New in JONAS_4_1_4
------------------
New version of Apache modules :
- Catalina 5.0.28
- Axis 1.2 Beta 3
Jars in $JONAS_ROOT/lib have moved to new locations (depending on the ClassLoader where they lives)
The type of the return value for the EJBQL aggregate functions SUM, AVG and COUNT had been changed.
Many bugs have been fixed
dbm service enhancement with many new monitoring attributes. (not done yet in RA-JDBC)

New in JONAS_4_1_2
------------------
Bug fixes.

New in JONAS_4_1
----------------
JOnAS 4.x is based on the EJB 2.1 specification.
The JDK 1.4 or higher is required.
New versions of Objectweb modules : (+ new jar packaging)
- The jonas_tm is replaced by the JOTM objectweb component : jotm-1_5_4d
- CAROL_1_8_1
- New Jeremie "lite": JEREMIE_4_0 + JONATHAN_CORE_4_0
- JORM_2_2_11 + MEDOR_1_3_0_b1 + PERSISTENCE_1_3_2 + CACHE_1_3_3
- SPEEDO_1_0_1
EJB 2.1 support (Timer Service, MDB enhancements, EJB-QL enhancements, ...)
J2EE CA 1.5 support (Joram connector, JDBC connector)
Security: JACC support
Servlet 2.4 / JSP 2.0  (Tomcat 5 / Jetty 5)
J2EE Management Spec: model, MEJB, JMX 1.2
New classloader hierarchy to separate commonly used jakarta classes
from the application classloader.
Simplified installation and communication protocols management:
  installation phases no more needed,
  jrmp/jeremie/iiop can simultaneously be supported without any installation step.
JavaDoc and Documentation now packaged as web applications in webapps/autoload/ directory
default http port numbers are now in the range 9000 - 9999
Use of XML schemas instead of DTDs for J2EE 1.4 descriptors  (Web, Connector, Client, Ear, Ejb)
I18n class which allow internationalization of JOnAS messages in different languages
CMP2: java.sql.Date, java.sql.Time, java.sql.Timestamp now stored as a 'Date' in the DB
ANT tasks for starting and deploying onto JOnAS
Use the MX4J JMX server by default (instead of sunRI).
Bug fixes
Updated documentation

New in jonas-3-3-6:
-------------------
new Jorm (2.2.9)
new Medor (1.2.14)
new Joram (3.7.1)
new Speedo (1.0 beta4)
new carol (1.7.5)
more optimizations in the ejb container
Allow deployment of Web Modules on any virtual host, not only in default host

New in jonas-3-3-5:
-------------------
new monolog 1.7.1 (optimized)
4 different lock policies for entity beans
memory leak fixed.
optimizations in the ejb container
new carol 1.5.8 (bug fixes)
types java.sql.Date, java.sql.Time, java.sql.Timestamp stored as "Date"
instead of blob in database (CMP2).

New in jonas-3-3-2:
-------------------
New version for Jorm     : 2.2.6
New version for Medor    : 1.2.11
New version for Carol    : 1.5.7
New version for Speedo   : 0.9.9.7
New version for Perseus Cache Manager : 1.2.2
Bugs fixed: #561 #570 #584 #586 #591
Add win32 service

New in jonas-3-3-1:
-------------------
Bug fixes
New version for Jorm     : 2.2.4
New version for Medor    : 1.2.9
New version for Speedo   : 0.9.8.6
New version for Jonathan : 3.1
New version for Carol    : 1.5.6

New in jonas-3-3:
-------------------
* New CAROL (1.5.5) with bug fixes
* New JORAM (3.6.2) with bug fixes
* New JORM (2.1) with bug fixes
* New MEDOR (1.2.6) and EJB-QL implementation improvement
  - implementation of ORDER BY, IS EMPTY, IS NOT EMPTY, CONCAT.
  - MEMBER OF is working now.
* First Web Service integration :
  - Add new Deployment Desc (for webservices.xml) : package jonas_ws.
  - Modify EjbJar and Webapp Deployment Desc, new DTDs
  - Add WebServices service implementation with Axis
* First Timer Service integration (EJB 2.1 API)
* JAAS realm for Catalina and Jetty
* Authentication with client certificate
* "run-as" implementation for security.
* CRLLoginModule login module for certificate revocation
* JonasAdmin webapp improvements :
  - Add servlet server info
  - Catalina security and new tools
  - automatic tree refresh
  - jms service
* Add additional support for JDBC RA
* Support of exploded ear files
* First JDO integration (session managed persistence)
  - SPEEDO 0.9.7.5 integration.
* Integration of Monolog 1.6.3
* Integration of Javamail 1.3.1
* Integration of Xerces 2.5.0
* client.jar has been made lighter

Restrictions:
* the cmi protocol implies JDK 1.4 or higher.

New in jonas-3-2:
-------------------
* Container client
* Integration of Jorm 2.0.3 and Medor 1.2.4
* Possibility to have legacy databases for entity beans
* Stateless Session Pool monitoring
* Message-driven bean Pool monitoring
* JMS monitoring
* Structured JNDI in registry
* Integration Carol 1.5.0 (with RMI-IIOP working)
* Integration of Joram 3.4.
* Improvement of the Documentation + new How to
* New examples for JAAS authentication and clustering
* New example for web services (NewWorldCruises)
* Jonas works and compiles on JDK 1.4.2
* JAAS authentication with login modules and callback handlers
* Access Datasources from Client
* Connection Pool monitoring
* New JOnAS Console for Administration and Management
* New clustering features
* New Security Service
* New packaging for Windows (.exe)
* Add ability to process RAR file inside an EAR
* No rmi annotation (perfs)
* P6Spy tool integrated within JOnAS

New in jonas-3-1:
----------------
* Axis integration (axis 1.1 release candidate 2) for Web Services.
* New Jorm version : 1.2.7
* New Medor version : 1.1.5
  Still some EJB-QL restrictions :
  - Remote Bean as parameter of finder or ejbSelect method
  - DISTINCT in the SELECT clause
  - CONCAT operator in the WHERE clause
  - IS NULL operator in the WHERE clause
  - LOCATE(str1, str2, start) operator with three args in the WHERE clause
  Known bugs :
  - IN in the FROM clause
  - complex navigation
  - request with a serializable field
  - request with a boolean field on Postgres
  - LOCATE(str1, str2) on Oracle
  - SUBSTRING(st1, start, length) on Oracle
  Tests have been made only on Oracle and Postgres.

* New Monolog version : 1.6

* New Zeus version: Beta 3.6

* New Joram version : 3.4.1
  - Supports JMS 1.1 that unify the programming interfaces
    for the Point-to-point and Pub/Sub messaging domains.

New in jonas-3-0-6:
------------------
* Jorm 1.2.5
* ejbSelect OK
* bugs fixed
* New jonas-jetty packaging

New in jonas-3-0-4:
------------------
* New jonas - tomcat packaging
* cascade-delete (CMP2) implemented.

New in jonas-3-0-3:
------------------
* add JONAS_BASE
* rename JONAS_ROOT/config JONAS_ROOT/conf
* new Jorm/Medor versions
* can deploy webapps directories
* use catalina MBeans

New in jonas-3-0-2:
------------------
* old services tomcat and jetty are removed.
* minor modifications for linux Mandrake.
* fix pb with ant 1.5.2

New in jonas-3-0:
----------------
* Updated Resource service (JCA)
  - new connection manager for resource service based on previous one
  - added support for a jonas-ra.xml file instead of a properties file to be
    included in the rar files, which will be used to configure all Config
    properties and pooling properties
  - ability to distinguish rar files configured with NoTransaction, LocalTransaction
    and XATransaction support
  - autodeployment can be specified by directory. (autoloaddir)
  - Replaced the RaXml2Prop utility with RaConfig  utility
* Service Web Jetty
* Support of Tomcat 4.1.x for service web
* new Monolog 1.5.7
  - Rolling files support
* new Jorm 1.2.2
* bugs fixed in cmp2 relationships
* Automatic generation of Integer primary keys in cmp1.x and cmp2.x
* New Documentation :
  - Integrating Jetty and JOnAS (http://www.objectweb.org/jonas/doc/howto/JettyJonas.html)
  - tests results in JOnAS 3.0 (http://www.objectweb.org/jonas/doc/tests/jonas-3-0-beta0.html)

New in jonas-3-0-beta0:
----------------------
* Beta release of the CMP 2.0
* Restrictions:
  - the cascade delete and the select methods aren't implemented
    (finder meyhods are)
  - it is not possible in this first version to work on existing data base
    shema. The reason is that the persistence framework we are using (JORM)
    enforce its own mapping. The good point of this limitation is that the
    deployment descriptor specific JOnAS is very simple and  nearly empty
    concerning cmp2.
  - we have tested on some databases Oracle, Postgres and testing is on
    progress on MySQL and McKoi.
  - cmp-field type serializable does not work
* New chapter in the documenetation relative to CMP 2.0
* New version of newbean that generates templates for CMP 2.0
* Simplication of trace.properties file
* Improvement of Jadmin tool
* Improvement of the service mail
* Customization of element Context in server.xml of Tomcat 4.0.x

New in jonas-3-0-alpha:
----------------------
* This is a first release of the CMP 2.0.
* Restriction: this has been tested only against Postgres.

New in jonas-2-6-2:
----------------------
* autodeployment can be specified by directory. (autoload)
* bugs fixed in Connector (RAXml2Prop)

New in jonas-2-6-1:
----------------------
* This release mainly fixes performance issues that appeared with jonas 2.6
  since jonas has become a J2EE server. Classloader has been changed to
  inherit from the system class loader, and a new install phase has been
  added to build global libraries depending on the user environment.
  WARNINGS:
  1) When installing JOnAS, after JONAS_ROOT has been set, you must now run
     "ant install" in the JOnAS_ROOT directory, to rebuild these libraries
     before using jonas. This must be done again if
     you decide to switch orb (from RMI to JEREMIE i.e.) or if you change your
     web environment (switching from CATALINA to JETTY i.e.)
  2) Java clients should be run using the script "jclient".

* Additionally, some minor bugs have been fixed :
  - petstore example works with Jeremie
  - petstore example works on JDK1.4 as well.
  - deployment from xml (unpacked beans) now possible (as in jonas 2.5)
* In JOnAS 2.6.1 it is also possible to use the MX4J JMX server in the
  JOnAS Management service, and to use the MC4J JMX console for managing the
  JOnAS server.
* New version of Monolog, 1.5.5

New in jonas-2-6:
----------------------
* Jonas is now a J2EE server, 3 new services : mail, web, ear.
* new jonas command.
* ant 1.5 is used to build jonas. (ant 1.4 is no more supported)
* ant task ejbjar for jonas-2-6.

New in jonas-2-5-3:
-------------------
* New Jonathan version 3.0.a8 (minor bugs fixed)
* New Jetty service

New in jonas-2-5-2:
-------------------
* hot deployment ok with RMI
* more junit tests
* bug fixes

New in jonas-2-5-1:
-------------------
* Jonas can be compiled with JDK 1.4 classes.
* New Jonathan version 3.0.a7
* New Joram version 3.0.4
* more junit tests
* bug fixes

New in jonas-2-5:
-----------------
* Support for local interface and home methods
* Support for standard ejb.jar 2.0 and dtd 2.0
* New test suite (using JUNIT) in objectweb/jonas_tests
* New Joram version 3.0.3 (implies JDK 1.3)
* monolog is used for the debug messages
-> Restriction: EJB 2.0 persistance is not supported in this version.

New in jonas-2-4-4:
------------------
* new licence LGPL
* tomcat3.3a may be used  as a JOnAS service. The tomcat servlet runs in the same JVM as JOnAS
* registry as a JOnAS service
* new Jonasthan Jonathan 3.0.a5
* new Joram 3.0
* ant can be used for JonAS and examples.
* bugs correction and improvement

New in jonas-2-4-3:
------------------
* jonas_jms code rewritten
* message driven bean : better scalability
* bugs fixed for RMI-IIOP
* possibility to use a JAVA_OPTS variable to configure the JVM when running EJBServer.
* possibility to use a new version of the jdbc database manager from Lutris


New in jonas-2-4-2:
------------------
* Castor has been replaced by Zeus for class generation
* ant can be used to generate jonas
* code has been slightly restructured for easiest integration with Enhydra
* minor bug fixes and minor evolutions

New in jonas-2-4:
----------------
* JMX
* Connectors
* new Jonathan 3.0
* Services
* Registry embedded
* Entity Container improvements
* new example: alarm

New in jonas-2-3-1:
-------------------
* Security interceptor for Tomcat 3.2
* removing of Tomcat webserver.jar in (RMI/Jeremie)jonas.jar
* correction bugs

New in jonas-2-3:
-----------------
* Message Driven Beans are supported
* Transaction Isolation inside JOnAS for Entity Beans
* Improved jonas configuration and installation
* Session bean timeout
* "Reentrant" tag in xml deployment descriptor
* "resource-env-ref" tag implemented.
* Castor 9.2 and Xerces 1.3.0

New in jonas-2-2-7:
------------------
* New version of Jonathan 2.0.5 (fix a little bug about session bean remove)
* New Castor version used (for xml parser): castor 8.11
* CreateException and RemoveException can now be caught in client.

New in jonas-2-2-6:
------------------
* Fix an important bug about propagation of the transactional context  with RMI.
  This bug was leading to error messages like:
  "setPropagationContext: unknown transaction xxx"
  or sometimes forgot to commit changes in database.
  This should not happen with Jeremie, and concern only applications with
  several beans with at least 2 session stateless bean.
  Note that this bug had appeared with jonas-2-2-4.

New in jonas-2-2-5:
------------------
* Fix an important bug about propagation of the transactional context  with JEREMIE.
  This bug was leading to error messages like:
  "Bad Status=COMMITTED"
  "Cannot enlist XAResource (XA START: mixed transactions)"
  or sometimes made the EJBServer hang randomly.

* New property jonas.orb.port
* Jonas works now on Novell. (thanks to Markus Carg)
* One classloader per container.

New in jonas-2-2-4:
------------------
Fix a pb of memory leak with Jeremie
Fix pb thread number in Jeremie
New Jonathan/Jeremie package (jonathan 2.0.4)

New in jonas-2-2-3:
------------------
ejb-ref functionality in deployment descriptors
New Jonathan/Jeremie package (jonathan 2.0.3)

New in jonas-2-2-2:
------------------
Bug fixed in JMS
Bugs fixed in new DataBase Manager

New in jonas-2-2-1:
------------------
Source structure changed (no more build directory)
Bug fixed: pb "mixed transactions" in multithreading.
New Jonathan/Jeremie package (jonathan 2.0.2). this version fix a bug in multithreading.
Security works with RMI.

New in Jonas 2.2:
----------------
A new DataBase manager can be used in JOnAS.
This component has been developped by Lutris people and is
used both by Enhydra and JOnAS. See enhydra.org for more information
on this new database manager.
As soon as the property "datasource.factory" is set to a value different from "none",
this new database manager will be used in place of the older one.
Note that this new DBM is a beta version that must be improved.

First integration of JMS.

The jonas sources have been repackaged to extract jonas_ejb and jonas_tm
from the rest of jonas. These modules are used both in jonas and enhydra.

New Jonathan/Jeremie package (jonathan 2.0.1). This version fix a bug
about big objects.

Minor bugs fixed.

What is new in JOnAS 2.1 :
-------------------------
New graphical tool for deployment: BeanDeployer
Scalability improved (pools of instances)
Basic security features have been introduced.
Several containers in the server (one by ejb-jar).
Generated classes are re-architectured and renamed.
Lazy instantiation for finder methods.
Services have been introduced to ease integration of JOnAS with Enhydra.
JOnAS 2.1 works both on JDK 1.2 and JDK 1.3.
ejb, jta and jdbc extension interfaces are provided in the jonas.jar
stricker compliance with EJB1.1 for CMP ejbCreate. This method must
always return the primary key class type.

What was new in JOnAS 2.0 :
------------------------
Compliance EJB1.1 :

  Deployment descriptors that is part of the ejb-jar file must be provided in XML
  and valid with the respect of the DTD :
  http://java.sun.com/j2ee/dtds/ejb-jar_1_1.dtd.


  Primary key that maps to a single field in the entity bean class is supported.
  Use of entity beans with a deferred primary key type specification is supported.

  Bean Managed Transaction support is restricted to Session Beans.

  For Container-managed transaction demarcation the transaction attribute Never
  is supported.

  Enterprise bean's environment is accessed via the JNDI naming contet java:comp/env
  Resource manager connection factory references are supported.
  The environment naming context replaces the EJB 1.0 concept of environment properties
  but JOnAS supports the two styles.(EJBContext.getEnvironment() may be used).
  User Transaction interface is available to session beans with bean-managed transaction
  demarcation in JNDI under the name java:com/UserTransaction.
  User Transaction interface is still available to a java client in JNDI under the name
  javax.transaction.UserTransaction.

  javax.ejb.EJBException is supported.

Support for Distribution :

  A new version of Jeremie is provided with the standard distribution:
  Jeremie 2.0 beta 4.
  This version is now faster than standard rmi particularly on colocated
  inter beans calls.

Other :

  AdmServer administration tool is replaced by JonasAdmin tool. This tool
  has the same fonctionalities than the previous plus an interactive mode.

What is deprecated in JOnAS 2.0 :
-------------------------------
  The old style of deployment descriptor is no more supported.
  GenDD and CheckEJB tools doesn't exist anymore.
